* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
}
body {
   font-family: 'Roboto', sans-serif;
   background: #111541;
   width: 75%;
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   margin: 0 auto;
}
.topbox {
    display: none;
}
.bar {
    display: none;
}
.main-bar {
    display: none;
}
.minibottom-bar {
    display: none;
}
.bar-w {
    display: flex;
    position: fixed;
    top: 0;
    left: 50%;
    transform: translate(-50%);
    gap: 40px;
    color: #031E57;
    background: #001022c2;
    padding: 20px 40px;
    border-radius: 0 0 20px 20px;
    z-index: 1000;
    box-shadow: 0 4px 6px rgba(240, 240, 240, 0.1);
}
.bar-w a {
    text-decoration: none;
    font-size: 0.9rem;
    color: #001022;
    padding: 10px;
    background: #00ffff;
    border-radius: 15px;
    transition: background 0.3s, color 0.3s;
}
.bar-w a:hover {
    background: #090022;
    color: #ffffff;
}
.inter {
   display: flex;
   flex-direction: column;
   background: url(../images/bg.jpg);
   background-size: cover;
   background-position: center;
   width: 100%;
   height: 100vh;
   color: #ffffff;
   justify-content: center;
   align-items: center;
   gap: 30px;
}
.inter h2 {
        font-size: 2.5rem;
        font-family: 'Orbitron', monospace;
        font-weight: 700; 
        letter-spacing: 0.1rem;
        color: white;
        margin: 0;
        text-align: center;
}
.enter {
    width: 350px;
    height: auto;
    padding: 15px;
    border-radius: 30px;
    border: none;
    font-size: 1.5rem;
    background: linear-gradient(45deg, #00F1FF, #00C7FF, #0080FF);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
    color: #FFFFFF;
    font-family: "Playwrite AU VIC", cursive;
    cursor: pointer;
    transition: background 0.3s, box-shadow 0.3s, transform 0.2s;
}
.enter:hover {
    background: linear-gradient(45deg, #0080FF, #00C7FF, #00F1FF);
}
.enter:active {
    background: linear-gradient(45deg, #00C7FF, #0080FF, #00F1FF);
    box-shadow: 0 0 25px rgba(0, 255, 255, 0.7);
    transform: scale(0.85);
}
.mind {
    font-family: 'Orbitron', monospace;
    font-size: 4rem;
    font-weight: 900;
    letter-spacing: 0.2rem;
    color: #00ffff;
    text-shadow: 
                2px 2px 4px rgba(0, 0, 0, 0.9),
                -2px -2px 4px rgba(0, 0, 0, 0.9),
                0 0 10px #00ffff,
                0 0 20px rgba(0, 255, 255, 0.5);
    z-index: 2;
    animation: fadeInUp 1s ease;
}
@keyframes fadeInUp {
            from { opacity: 0; transform: translateY(30px); }
            to { opacity: 1; transform: translateY(0); }
        }
.projects {
    display: grid;
    flex-direction: column;
    width: 100%;
    height: auto;
    background: #031E57;
    align-items: center;
    padding: 20px;
    padding-top: 50px;
    color: white;
    gap: 30px;
}
.projects h2 {
    grid-column: 1 / -1;
    text-align: center;
}
.tit {
    color: #00FF80;
    font-family: 'Orbitron', monospace;
    font-size: 2.2rem;
    margin-bottom: 50px;
}
.list {
    width: 80%;
    height: auto;
    text-align: center;
    max-width: 600px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    gap: 10px;
}
#demo {
    width: 90%;
    height: auto;
    object-fit: cover;
    border-radius: 30px;
}
.list a {
    text-decoration: none;
    color: #ffff;
    border: 2px solid #00ff00;
    padding: 10px;
    border-radius: 10px;
}
.list h2 {
    font-size: 1.8rem;
    color: #00ffff;
}
.list p {
    font-size: 1.2rem;
    color: #b4b4b4;
}
footer {
    background: #151945;
    display: flex;
    flex-direction: column;
    color: white;
    padding: 50px;
    width: 100%;
}
.footer-top {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}
.useful-links {
    display: flex;
    flex-direction: column;
    gap: 5px;
    text-decoration: none;
}
.useful-links h2 {
    color: #00FF80;
    font-size: 1.5rem;
    margin-bottom: 10px;
}
.useful-links a {
    text-decoration: none;
    color: #00ffff;
}
.useful-links a:hover {
    text-decoration: underline;
}
.contact-me {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.contact-me h2 {
    color: #00ff80;
    font-size: 1.5rem;
    margin-bottom: 10px;
}
.contact-me a {
    text-decoration: none;
    color: #00ffff;
    display: flex;
    gap: 10px;
}
.contact-me a:hover {
    text-decoration: underline;
}
.contact {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.contact h2 {
    color: #00ff80;
    font-size: 1.5rem;
}
.contact p {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.contact p a {
    text-decoration: none;
    color: #00ffff;
    font-size: 1.5rem;
}
.contact p a:hover {
    text-decoration: underline;
}
.line-braker {
    display: flex;
    width: 80%;
    height: 2px;
    background: #00ff80;
    margin-bottom: 20px;
    border-radius: 2px;
    justify-content: center;
    align-items: center;
    margin: 40px auto;
}
.copyright {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.8rem;
    color: #B6B4B4;
}
.active-link {
    color: #ffffff !important;
    font-weight: bold;
    transition: 0.3s;
    background: #000000 !important;
    border: 2px solid #00ffff !important;
}
@media (max-width: 768px) {
    body {
         width: 100%;
    }
    .bar-w {
        display: none;
    }
  .enter {
     width: 320px;
     height: auto;
     padding: 20px;
     border-radius: 30px;
     border: none;
     font-size: 1.2rem;
     background: linear-gradient(45deg, #00F1FF, #00C7FF, #0080FF);
     box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
     color: #FFFFFF;
     font-family: "Playwrite AU VIC", cursive;
  }
 .inter h3 {
     color: #606C70;
 }
 .mind {
     font-size: 3rem;
     letter-spacing: 0.1rem;
 }
 .topbox {
     display: block;
     position: fixed;
     background: none;
     width: 100%;
     height: 60px;
     top: 0;
     left: 0;
     z-index: 1003;
 }
.menu-btn {
    width: 32px;
    height: 18px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 5px;
    position: fixed;
    top: 0;
    left: 0;
    margin: 10px;
    cursor: pointer;
    z-index: 1001;
    position: relative; /* Absolute-এর জন্য */
}

.menu-btn span {
    width: 25px;
    height: 2px;
    background: #FFFFFF; 
    border-radius: 2px;
    position: absolute;
    transition: all 0.3s ease; /* স্মুথ অ্যানিমেশন */
    left: 50%;
    transform: translateX(-50%); /* হরিজন্টাল সেন্টার */
}

.menu-btn span:nth-child(1) {
    top: 0;
}

.menu-btn span:nth-child(2) {
    top: 50%;
    transform: translateX(-50%) translateY(-50%); /* মিডল সেন্টার */
}

.menu-btn span:nth-child(3) {
    top: 100%;
    transform: translateX(-50%) translateY(-100%); /* নিচের লাইন ফিট */
}
.menu-btn.active span:nth-child(1) {
    top: 50%;
    transform: translateX(-50%) translateY(-50%) rotate(45deg);
}

.menu-btn.active span:nth-child(2) {
    opacity: 0;
}

.menu-btn.active span:nth-child(3) {
    top: 50%;
    transform: translateX(-50%) translateY(-50%) rotate(-45deg);
}
.bar {
    display: none;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    z-index: 1000;
}
.bar.active {
    display: flex;
    transform: translateY(0);
}
.main-bar {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    background: #000000;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0px;
    left: 0;
    padding: 50px;
    gap: 30px;
    padding-top: 100px;
}
.main-bar a {
    text-decoration: none;
    font-size: 1.2rem;
    color: white;
    padding: 10px;
    border: 2px solid white;
    border-radius: 10px;
}
.minibottom-bar {
    display: flex;
    width: 100%;
    height: 70px;
    background: #000000;
    padding: 10px;
    position: fixed;
    bottom: 0;
    justify-content: space-between;
    align-items: center;
    color: white;
}
.minibottom-bar h2 {
    font-family: "Momo Signature", cursive;
    font-size: 20px;
    color: #00ffff;
    display: flex;
    justify-content: center;
    margin: 0 auto;
}
.projects {
    display: flex;
    flex-direction: column;
    gap: 50px;
}
.tit {
    color: #00FF80;
    font-family: 'Orbitron', monospace;
}
.list {
    width: 98%;
    height: auto;
    padding: 10px;
    border: none;
    background: none;
}
.list h2 {
    color: #00ffff;
    font-size: 1.3rem;
}
.list p{
    color: #B6B4B4;
}
.project-btn {
    display: block;
    margin-top: 10px;
    text-decoration: none;
    padding: 5px;
    border-radius: 10px;
    color: white;
    width: 100px;
    border: 1px solid #00ff80;
}
#demo {
    border-radius: 10px;
    box-shadow: 0 5px 10px rgba(0, 255, 236, 0.3);
    border: 1px solid #00ffff;
    margin-bottom: 30px;
}
footer {
    display: flex;
    flex-direction: column;
}
.footer-top {
    display: flex;
    flex-direction: column;
}
.useful-links {
    display: flex;
    flex-direction: column;
}
.useful-links h2 {
    font-size: 1.2rem;
    color: #00ff80;
}
.useful-links a {
    text-decoration: none;
    color: #00ffff;
}
.useful-links a:hover {
    text-decoration: underline;
}
.contact-me {
    display: flex;
    flex-direction: column;
}
.contact-me h2 {
    font-size: 1.2rem;
    color: #00ff80;
    margin-top: 20px;
}
.contact-me a {
    text-decoration: none;
    color: #00ffff;
}
.contact-me a:hover {
    text-decoration: underline;
}
#logo {
    font-size: 0.8rem;
}
.contact h2 {
    font-size: 1.2rem;
    color: #00ff80;
    margin-top: 20px;
}
.contact p {
    display: flex !important;
    flex-direction: row;
}
.contact a {
    font-size: 2rem;
    color: #00ffff;
    margin-left: 5px;
}
.line-braker {
    width: 100%;
}
.copyright {
    font-size: 0.6rem !important;
    color: #B6B4B4;
    text-align: center;
    gap: 2px;
}
.active-link {
    color: #ffffff !important;
    font-weight: bold;
    transition: 0.3s;
    background: #000000 !important;
    border: 1px solid #00ff80 !important;
}
}